__gnu_parallel::_Piece< _DifferenceTp > Struct Template Reference

`#include <multiway_mergesort.h>`

## Public Types

typedef _DifferenceTp | _DifferenceType

## Public Attributes

_DifferenceType | _M_begin
_DifferenceType | _M_end

## Detailed Description

template<typename _DifferenceTp>
struct __gnu_parallel::_Piece< _DifferenceTp >

Subsequence description.

Definition at line 46 of file multiway_mergesort.h.

## Member Typedef Documentation

## _DifferenceType

template<typename _DifferenceTp>

typedef _DifferenceTp __gnu_parallel::_Piece< _DifferenceTp >::_DifferenceType

Definition at line 48 of file multiway_mergesort.h.

## Member Data Documentation

## _M_begin

template<typename _DifferenceTp>

_DifferenceType __gnu_parallel::_Piece< _DifferenceTp >::_M_begin

Begin of subsequence.

Definition at line 51 of file multiway_mergesort.h.

## _M_end

template<typename _DifferenceTp>

_DifferenceType __gnu_parallel::_Piece< _DifferenceTp >::_M_end

End of subsequence.

Definition at line 54 of file multiway_mergesort.h.

The documentation for this struct was generated from the following file:

- multiway_mergesort.h